For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • GETList Reversals
      • POSTCreate Reversal
      • GETGet Reversal by ID
LogoLogo
StatusDashboard
API ReferencePix Reversals

Get Reversal by ID

GET
https://api.brzip.com.br/api/v1/pix/reversals/:reversal_id
GET
/api/v1/pix/reversals/:reversal_id
$curl https://api.brzip.com.br/api/v1/pix/reversals/reversal_id
1{
2 "id": "rev_123",
3 "external_id": "a39778df-1c0b-4e37-8d35-dcfa623b66f2",
4 "original_end_to_end_id": "E35547753202201201450u34sDGd19l2",
5 "refund_end_to_end_id": "E24722685202604100755GNZ5DGMBWZK",
6 "amount": "2.5",
7 "currency": "BRL",
8 "status": "completed",
9 "refund_code": "MD06",
10 "created_at": "2026-04-21T23:05:43Z"
11}

Retrieves the status and details of a PIX reversal by its ID.

Scope: pix:reversals:read

Was this page helpful?
Previous

Create Cash-Out

Next
Built with

Path parameters

reversal_idstringRequired
Reversal ID

Response

Reversal details
idstring
external_idstring
original_end_to_end_idstring
refund_end_to_end_idstring
amountstring
currencystring
statusstring
refund_codestring
created_atstring

Errors

404
Not Found Error